%define api 0.10
%define major 10
%define libname %mklibname %name %{api}_%major
%define develname %mklibname -d %name %api

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary: Set of document centric objects and utilities for glib/gtk
Name: goffice
Version: 0.10.0
Release: %mkrel 2
Source0: http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License: GPLv2
Group: System/Libraries
Url: http://www.gnome.org
BuildRequires: pkgconfig(cairo) >= 1.10.0
BuildRequires: pkgconfig(cairo-pdf) >= 1.10.0
BuildRequires: pkgconfig(cairo-ps) >= 1.10.0
BuildRequires: pkgconfig(cairo-svg) >= 1.10.0
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.22.0
BuildRequires: pkgconfig(gio-2.0) >= 2.28.0
BuildRequires: pkgconfig(glib-2.0) >= 2.28.0
BuildRequires: pkgconfig(gmodule-2.0) >= 2.28.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(libgsf-1) >= 1.14.9
BuildRequires: pkgconfig(librsvg-2.0) >= 2.22.0
BuildRequires: pkgconfig(libspectre) >= 0.2.6
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.12
BuildRequires: pkgconfig(pango) >= 1.24.0
BuildRequires: pkgconfig(pangocairo) >= 1.24.0
BuildRequires: gtk-doc
BuildRequires: intltool

%description
There are common operations for document centric applications that are
conceptually simple, but complex to implement fully.
    - plugins
    - load/save documents
    - undo/redo

%package -n %libname
Summary:  %{summary}
Group: %{group}
Requires: %name >= %version

%description -n %libname
Shared library implementing document centric objects and utilities for glib/gtk

%package -n %develname
Summary:  %{summary}
Group: Development/C
Requires: %libname = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %develname
Development files of the Goffice library.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
%find_lang %name-%version

find %buildroot -name \*.la|xargs rm

%files -f %name-%version.lang
%doc README NEWS AUTHORS BUGS MAINTAINERS
%dir %_libdir/%name

%files -n %libname
%_libdir/libgoffice-%api.so.%{major}*
%_libdir/%name/%version

%files -n %develname
%_includedir/libgoffice-%{api}
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/goffice-%api


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 352401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 fwang <fwang> 0.10.0-1.mga3
+ Revision: 332751
- bump major

  + ovitters <ovitters>
    - new version 0.10.0

* Sat Nov 17 2012 ovitters <ovitters> 0.9.90-1.mga3
+ Revision: 319021
- new version 0.9.90

* Thu Sep 06 2012 ovitters <ovitters> 0.9.6-1.mga3
+ Revision: 289013
- new version 0.9.6

* Mon Jul 16 2012 ovitters <ovitters> 0.9.5-1.mga3
+ Revision: 271159
- new version 0.9.5

* Tue Jun 26 2012 ovitters <ovitters> 0.9.4-1.mga3
+ Revision: 263790
- new version 0.9.4

* Sun Apr 22 2012 ovitters <ovitters> 0.9.3-1.mga2
+ Revision: 232492
- new version 0.9.3
- fix source url

* Sat Mar 03 2012 fwang <fwang> 0.9.2-1.mga2
+ Revision: 217091
- update file list
- new version 0.9.2

* Mon Nov 28 2011 fwang <fwang> 0.9.1-1.mga2
+ Revision: 173485
- new version 0.9.1

* Fri Nov 25 2011 fwang <fwang> 0.9.0-1.mga2
+ Revision: 171795
- update libmajor
- new version 0.9.0
- new version 0.8.17

* Fri Jun 17 2011 fwang <fwang> 0.8.16-1.mga2
+ Revision: 108600
- new verison 0.8.16

* Thu Apr 14 2011 dams <dams> 0.8.14-1.mga1
+ Revision: 84855
- Update to 0.8.14

* Fri Feb 25 2011 ennael <ennael> 0.8.13-1.mga1
+ Revision: 59160
- clean spec file
- imported package goffice

